Bug 139170 - New Port: astro/p5-ZConf-Weather A ZConf module to assist with fetching/printing weather information
Summary: New Port: astro/p5-ZConf-Weather A ZConf module to assist with fetching/pri...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-27 07:30 UTC by Zane C. Bowers-Hadley
Modified: 2009-09-30 15:30 UTC (History)
0 users

See Also:


Attachments
astro_p5-ZConf-Weather.shar (2.36 KB, text/plain)
2009-09-27 07:30 UTC, Zane C. Bowers-Hadley
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Zane C. Bowers-Hadley 2009-09-27 07:30:02 UTC

A ZConf based library to facilitate fetching weather information
and dumping it or printing it via a template.

zcweather - Fetches the weather for the specified location.

WWW: http://search.cpan.org/dist/ZConf-Weather

How-To-Repeat: 

1: unshar
2: install and enjoy
Comment 1 Martin Wilke freebsd_committer 2009-09-27 10:45:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Sahil Tandon 2009-09-29 01:07:27 UTC
The pkg-plist is broken; you need to make sure it accounts for (and, on
uninstall, deletes) %%SITE_PERL%%/%%PERL_ARCH%%/auto/ZConf/Weather.

Also the COMMENT= looks odd; almost as if you began the newline by
mistake.  portlint should complain loudly.

-- 
Sahil Tandon <sahil@tandon.net>
Comment 3 Martin Wilke freebsd_committer 2009-09-30 15:22:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2009-09-30 15:22:49 UTC
miwi        2009-09-30 14:22:41 UTC

  FreeBSD ports repository

  Modified files:
    astro                Makefile 
  Added files:
    astro/p5-ZConf-Weather Makefile distinfo pkg-descr pkg-plist 
  Log:
  A ZConf based library to facilitate fetching weather information
  and dumping it or printing it via a template.
  
  zcweather - Fetches the weather for the specified location.
  
  WWW: http://search.cpan.org/dist/ZConf-Weather
  
  PR:             ports/139170
  Submitted by:   Zane C, Bowers <vvelox at vvelox.net>
  
  Revision  Changes    Path
  1.142     +1 -0      ports/astro/Makefile
  1.1       +26 -0     ports/astro/p5-ZConf-Weather/Makefile (new)
  1.1       +3 -0      ports/astro/p5-ZConf-Weather/distinfo (new)
  1.1       +6 -0      ports/astro/p5-ZConf-Weather/pkg-descr (new)
  1.1       +8 -0      ports/astro/p5-ZConf-Weather/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"